----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    19:23:12 01/25/2018 
-- Design Name: 
-- Module Name:    AUXROM_en - Combinatorial 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
--use IEEE.NUMERIC_STD.ALL;

-- Uncomment the following library declaration if instantiating
-- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity AUXROM_en is
    Port ( n_cfff : out  STD_LOGIC;
           n_iostrobe : in  STD_LOGIC;
           cpu_addr : in  STD_LOGIC_VECTOR (10 downto 0));
end AUXROM_en;

architecture rtl of AUXROM_en is
begin
	n_cfff <= (
				  (not n_iostrobe) and cpu_addr(0) and 
					cpu_addr(1) and cpu_addr(2) and cpu_addr(3) and
					cpu_addr(4) and cpu_addr(5) and cpu_addr(6) and
					cpu_addr(7) and cpu_addr(8) and cpu_addr(9) and
					cpu_addr(10)
					);
end rtl;
--
--architecture comb of AUXROM_en is
--	begin
--		process(n_iostrobe,cpu_addr(10 downto 0))
--		begin
--			n_cfff <= (
--					(not n_iostrobe) and cpu_addr(0) and 
--					cpu_addr(1) and cpu_addr(2) and cpu_addr(3) and
--					cpu_addr(4) and cpu_addr(5) and cpu_addr(6) and
--					cpu_addr(7) and cpu_addr(8) and cpu_addr(9) and
--					cpu_addr(10)
--				);
--		end process;
--end comb;

