--------------------------------------------------------------------------------
-- Copyright (c) 1995-2013 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 14.7
--  \   \         Application : sch2hdl
--  /   /         Filename : EEPROM_CE.vhf
-- /___/   /\     Timestamp : 11/03/2018 13:43:31
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: sch2hdl -intstyle ise -family xc9500xl -flat -suppress -vhdl D:/Projects/Xilinx/A2_SD/src/EEPROM_CE.vhf -w D:/Projects/Xilinx/A2_SD/SUBMODULES/EEPROM_CE.sch
--Design Name: EEPROM_CE
--Device: xc9500xl
--Purpose:
--    This vhdl netlist is translated from an ECS schematic. It can be 
--    synthesized and simulated, but it should not be modified. 
--

library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity EEPROM_CE is
   port ( n_iosel     : in    std_logic; 
          n_iostrobe  : in    std_logic; 
          EEPROM_n_CE : out   std_logic);
end EEPROM_CE;

architecture BEHAVIORAL of EEPROM_CE is
   attribute BOX_TYPE   : string ;
   component AND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2 : component is "BLACK_BOX";
   
begin
   XLXI_1 : AND2
      port map (I0=>n_iostrobe,
                I1=>n_iosel,
                O=>EEPROM_n_CE);
   
end BEHAVIORAL;


